Skip to content

List Connections

GET
/api/v3/projects/{project_id}/connections
curl --request GET \
--url https://example.com/api/v3/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/connections

List each Project-owned external binding exactly once.

project_id
required
Project Id
string format: uuid
X-Admin-Key
Any of:
string

Successful Response

Media typeapplication/json
ConnectionBindingPageV3

Complete Project connection binding page.

object
items
required
Items
Array<object>
ConnectionBindingResponseV3

Shared observed provider state without credential or webhook secrets.

object
configuration
Configuration
object
key
additional properties
any
connection_name
required
Connection Name
string
connection_resource_id
required
Connection Resource Id
string format: uuid
created_at
required
Created At
string format: date-time
credential_binding_id
Any of:
string format: uuid
external_identifiers
External Identifiers
object
key
additional properties
any
health
Health
object
key
additional properties
any
id
required
Id
string format: uuid
kind
required
Kind
string
last_verified_at
Any of:
string format: date-time
observed_fingerprint
Any of:
string
provider_reconciliation_cleared_at
Any of:
string format: date-time
provider_reconciliation_operation_id
Any of:
string format: uuid
provider_reconciliation_required
Provider Reconciliation Required
boolean
status
required
Status
string
updated_at
required
Updated At
string format: date-time
Example
{
"items": [
{
"provider_reconciliation_required": false
}
]
}

Authentication failed with a resumable next action.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The authenticated actor lacks the required Project authority.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

The scoped management resource was not found.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

A stable management invariant prevented progress.

Media typeapplication/json
ManagementErrorEnvelope

FastAPI error envelope shared by v3 management endpoints.

object
detail
required
ManagementErrorResponse

One bounded error with a coding-agent-safe recovery action.

object
affected_resource
Any of:
string
message
required
Message
string
next_action
Any of:
string
operation_id
Any of:
string format: uuid
phase
Any of:
string
reason_code
required
Reason Code
string
Examplegenerated
{
"detail": {
"affected_resource": "example",
"message": "example",
"next_action": "example",
"operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"phase": "example",
"reason_code": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}